> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequenzy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List A/B Tests

> List A/B tests and their variants

List A/B tests for the authenticated company. You can filter to tests attached to a sequence.

## Request

<ParamField query="sequenceId" type="string">
  Optional sequence ID. When provided, only A/B tests attached to that sequence
  are returned.
</ParamField>

```bash theme={null}
curl "https://api.sequenzy.com/api/v1/ab-tests?sequenceId=seq_abc123" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

## Responses

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "abTests": [
      {
        "id": "ab_abc123",
        "name": "Subject test",
        "status": "draft",
        "automationNodeId": "node_abc123",
        "variants": [
          {
            "id": "var_a",
            "label": "A",
            "subject": "Welcome",
            "previewText": null,
            "blocks": []
          }
        ]
      }
    ]
  }
  ```

  ```json 401 theme={null}
  {
    "success": false,
    "error": "Unauthorized"
  }
  ```
</ResponseExample>
